package external_dns

import "git.hatecomputers.club/hatecomputers/hatecomputers.club/database"

type ExternalDNSAdapter interface {
	CreateDNSRecord(record *database.DNSRecord) (string, error)
	UpdateDNSRecord(record *database.DNSRecord) error
	DeleteDNSRecord(id string) error
}
